% -------------------------------------------------------------------------
% function HfssAssignRadiationObject(fid, HName, HObject)
% 
% Popis funkce :
% -------------
% Funkce potrebna k vytvoreni okrajovych podminek.(boundary)
%
% Parametery :
% ------------
% fid     - soubor identifikujici HFSS script.
% HName    - jmeno hranic vyzarovani (pod HFSS).
% HObject  - objekt u ktereho jsou nastavany okrajove podminky.
% 
%
% Priklad pouziti funkce :
% ---------
% fid = fopen('antenna.m', 'wt');
% ... 
% HfssAssignRadiationObject(fid, 'ABC', 'airvol');
% -------------------------------------------------------------------------
function HfssAssignRadiationObject(fid, HName, HObject)
global Module Design

%Zapis do souboru temp
fprintf(fid,'%% Ziskani cisla strany.\n');
fprintf(fid,'Module = Design.GetModule(''BoundarySetup'');\n');
fprintf(fid,['Module.AssignRadiation({''NAME:',HName,''',...\n']);
fprintf(fid,['''Faces:='',{''',HObject,'''}});\n\n']);

%Prime vykonani v programu HFSS
Module = Design.GetModule('BoundarySetup');
Module.AssignRadiation({['NAME:',HName],...
'Objects:=',{HObject}});

end